#include <iostream>

#ifndef _PtrInFunc_hpp_
#define _PtrInFunc_hpp_

void PrintString(char *ch_ptr)
{
     cout << ch_ptr <<endl;
}
     
void PrintVector(int *ptr)
{
     for (int i=0; i<3; i++)
     {
         cout << *ptr << endl;
         ptr++;
     }
}       

void PrintMatrix(int *ptr)
{
     for (int i=0; i<4; i++)
     {
         cout << *ptr << endl;
         ptr++;
     }
}

void PrintVector(float *ptr)
{
     for (int i=0; i<3; i++)
     {
         cout << *ptr << endl;
         ptr++;
     }
}       
     
int SumVector(int *ptr)
{
     int Sum = 0;
      
     for (int i=0; i<3; i++)
     {
         Sum = Sum + *ptr;
         ptr++;
     }
     
     return (Sum);
}

int SumMatrix(int *ptr)
{
     int Sum = 0;
      
     for (int i=0; i<4; i++)
     {
         Sum = Sum + *ptr;
         ptr++;
     }
     
     return (Sum);
}

float SumVector(float *ptr)
{
     float Sum = 0;
      
     for (int i=0; i<3; i++)
     {
         Sum = Sum + *ptr;
         ptr++;
     }
     
     return (Sum);
}

#endif
